Opened 5 years ago

Last modified 3 years ago

#413 new enhancement

add "Windows batchfiles for use with R" to OSGeo4W

Reported by: hellik Owned by: osgeo4w-dev@…
Priority: major Component: Package
Version: Keywords: R
Cc:

Description

hi,

there are some nice simple windows-bat files [1] [2] to start R (www.r-project.org) from everywhere if these bat-files are in %PATH%

tested here locally with following example

(A)

batch files are in e.g.

C:\OSGeo4W\apps\r-batchfiles

(B)

added a bat-file in

C:\OSGeo4W\etc\ini\r-project.bat

with a onliner to add (A) to the path

PATH %PATH%;%OSGEO4W_ROOT%\apps\r-batchfiles

then R is availabe in the OSGeo4W-shell/OSGeo4W-windows command shell and can be started e.g. within a winGRASS-session.

as these R-batch-files recognizes R 32bit/R 64bit, it may be included in OSGeo4W 32bit and 64bit.

the license is GNU GPL v2.

it would be a really added value for OSGeo4W, as R is often used in GIS workflows/analyses and the OSGeo4W-R-integration would be enabled in an easy way.

would it be possible these files into OSGeo4W?

thanks Helmut

[1] https://code.google.com/p/batchfiles/ [2] http://cran.r-project.org/contrib/extra/batchfiles/

Attachments (5)

Windows_batchfiles_for_use_with_R_svn_rev144.zip (36.4 KB) - added by hellik 5 years ago.
batchfiles (svn revision 144)
r-batchfiles-r149.tar.bz2 (25.4 KB) - added by hellik 4 years ago.
tar.bz2-file
setup.hint (166 bytes) - added by hellik 4 years ago.
setup.hint
r-batchfiles-r149.tar.2.bz2 (25.5 KB) - added by hellik 4 years ago.
r-batchfiles-r149-2.tar.bz2 (25.5 KB) - added by hellik 4 years ago.
r-batchfiles-r149-2.tar.bz2

Download all attachments as: .zip

Change History (41)

comment:1 in reply to:  description ; Changed 5 years ago by hellik

Replying to hellik:

some more information see also

[GRASS-user] winGRASS 7 - R - integration - standalone/OSGeo4W - NEWS http://lists.osgeo.org/pipermail/grass-user/2014-April/070136.html

functionality would be

    R cd - cd to R_ROOT, typically to C:\Program Files\R (0)
    R cmd - Run Rcmd.exe
    R dir - List contents of R_ROOT in chronological order showing R versions (0)
    R gui - Run Rgui.exe
    R help - Help info (0)
    R path - Add R_TOOLS, R_MIKTEX & R_PATH to path for this cmd line session (0)
    R Run R.exe (0)
    R script - Run Rscript.exe
    R show - Show R_ variable values used. R_PATH, etc. (0)
    R SetReg - Run RSetReg; see 2.17 in R FAQ for Windows (A)
    R tools - Add R_TOOLS and R_MIKTEX to path for this cmd line session (0)
    R touch - Change date on R_HOME to now (0) (A)

Helmut

Changed 5 years ago by hellik

batchfiles (svn revision 144)

comment:2 in reply to:  1 ; Changed 5 years ago by hellik

Replying to hellik:

functionality would be

    R cd - cd to R_ROOT, typically to C:\Program Files\R (0)
    R cmd - Run Rcmd.exe
    R dir - List contents of R_ROOT in chronological order showing R versions (0)
    R gui - Run Rgui.exe
    R help - Help info (0)
    R path - Add R_TOOLS, R_MIKTEX & R_PATH to path for this cmd line session (0)
    R Run R.exe (0)
    R script - Run Rscript.exe
    R show - Show R_ variable values used. R_PATH, etc. (0)
    R SetReg - Run RSetReg; see 2.17 in R FAQ for Windows (A)
    R tools - Add R_TOOLS and R_MIKTEX to path for this cmd line session (0)
    R touch - Change date on R_HOME to now (0) (A)

batchfiles added (source: fresh svn checkout from http://batchfiles.googlecode.com/svn/trunk/)

the license is GNU GPL v2.

any chance to add these helpful files in OSGeo4W? what would be the next steps to do?

Helmut

comment:3 in reply to:  2 ; Changed 5 years ago by hellik

Replying to hellik:

any chance to add these helpful files in OSGeo4W? what would be the next steps to do?

any opinion? any objections? any discussion? any suggested steps how to proceed?

locally added C:\OSGeo4W\etc\ini\rbatchfiles.bat

SET PATH=%PATH%;%OSGEO4W_ROOT%\apps\rbatchfiles

in the OSGeo4W-command line:

OSGEO4W home is C:\OSGeo4W\

                   -={ OSGeo4W Shell Commands }=-

       apt-r1193M           las2txt-old          rpcgen
       avcexport            las2txt              rpcinfo
       avcimport            lasblock             SFXWiz32
       bc                   lasinfo-old          tclsh
       bmp2tiff             lasinfo              tclsh85
       cs2cs                lasmerge             testepsg
       curl                 listgeo              textreplace
       dc                   nad2bin              thumbnail
       dllupdate            ncdump               tiff2bw
       fax2ps               ncgen                tiff2pdf
       fax2tiff             nearblack            tiff2ps
       funzip               nircmd               tiff2rgba
       gdaladdo             nircmdc              tiffcmp
       gdalbuildvrt         ogdi_import          tiffcp
       gdaldem              ogdi_info            tiffcrop
       gdalenhance          ogr2ogr              tiffdither
       gdalinfo             ogrinfo              tiffdump
       gdallocationinfo     ogrlineref           tiffinfo
       gdalmanage           ogrtindex            tiffmedian
       gdalserver           opj_compress         tiffset
       gdalsrsinfo          opj_decompress       tiffsplit
       gdaltindex           opj_dump             ts2las
       gdaltransform        osgeo4w-setup-work   txt2las
       gdalwarp             osgeo4w-setup        unzip
       gdal_contour         pal2rgb              unzipsfx
       gdal_grid            portmap              uzexampl
       gdal_rasterize       ppm2tiff             w9xpopen
       gdal_translate       proj                 wish
       geod                 psql                 wish85
       geotifcp             pylupdate4           xmlcatalog
       gif2tiff             pyrcc4               xmllint
       gltpd                python               xxmklink
       GPSBabel             pythonw              zip
       gswin32c             qgis-bin             zipcloak
       iconv                qgis-browser-bin     zipinfo
       las2las-old          ras2tiff             zipnote
       las2las              raw2tiff             zipsplit
       las2ogr              rgb2ycbcr


       apt-dev           gdal_edit         o4w_env
       apt               gdal_fillnodata   pct2rgb
       epsg_tr           gdal_merge        ps2pdf
       esri2wkt          gdal_polygonize   ps2pdf12
       gcps2vec          gdal_proximity    ps2pdf13
       gcps2wld          gdal_retile       ps2pdf14
       gdal2tiles        gdal_sieve        ps2pdfxx
       gdal2xyz          grass64           pyuic4
       gdalchksum        grass64svn        qgis-browser
       gdalcompare       grass71svn        qgis
       gdalident         gssetgs           rgb2pct
       gdalimport        liblas            setup-test
       gdalmove          make-bat-for-py   setup
       gdal_auth         mkgraticule
       gdal_calc         o-help

GDAL 1.11.0, released 2014/04/16

C:\>R

R version 3.0.3 (2014-03-06) -- "Warm Puppy"
Copyright (C) 2014 The R Foundation for Statistical Computing
Platform: x86_64-w64-mingw32/x64 (64-bit)

R ist freie Software und kommt OHNE JEGLICHE GARANTIE.
Sie sind eingeladen, es unter bestimmten Bedingungen weiter zu verbreiten.
Tippen Sie 'license()' or 'licence()' für Details dazu.

R ist ein Gemeinschaftsprojekt mit vielen Beitragenden.
Tippen Sie 'contributors()' für mehr Information und 'citation()',
um zu erfahren, wie R oder R packages in Publikationen zitiert werden können.

Tippen Sie 'demo()' für einige Demos, 'help()' für on-line Hilfe, oder
'help.start()' für eine HTML Browserschnittstelle zur Hilfe.
Tippen Sie 'q()', um R zu verlassen.

> q()
Workspace sichern? [y/n/c]: n

C:\>

everything works without any problem.

comment:4 in reply to:  3 ; Changed 5 years ago by jef

Replying to hellik:

any suggested steps how to proceed?

See PackagingInstructions

Changed 4 years ago by hellik

Attachment: r-batchfiles-r149.tar.bz2 added

tar.bz2-file

Changed 4 years ago by hellik

Attachment: setup.hint added

setup.hint

comment:5 in reply to:  4 ; Changed 4 years ago by hellik

Replying to jef:

Replying to hellik:

any suggested steps how to proceed?

See PackagingInstructions

following the packaging instructions I've prepared the setup.hint and the tar.gz2-file.

the folder and file structure is:

r-batchfiles-r149.tar
|
apps
    |
    rbatchfiles:
                R.bat
                ....
|
etc
    |
    ini:
                rbatchfiles.bat

anyone to check if the file/folder structure is correct?

thanks

comment:6 in reply to:  5 Changed 4 years ago by hellik

Replying to hellik:

Replying to jef:

Replying to hellik:

any suggested steps how to proceed?

See PackagingInstructions

following the packaging instructions I've prepared the setup.hint and the tar.gz2-file.

as these are only bat-files, they can be used in 32bit and 64bit.

comment:7 in reply to:  5 ; Changed 4 years ago by hellik

Replying to hellik:

Replying to jef:

Replying to hellik:

any suggested steps how to proceed?

See PackagingInstructions

following the packaging instructions I've prepared the setup.hint and the tar.gz2-file.

the folder and file structure is:

r-batchfiles-r149.tar
|
apps
    |
    rbatchfiles:
                R.bat
                ....
|
etc
    |
    ini:
                rbatchfiles.bat

anyone to check if the file/folder structure is correct?

thanks

no one interested in an OSGeo4W-R-integration?

it is nicely working in WinGRASS7-standalone based upon OSGeo4W and the attached files...

comment:8 in reply to:  7 Changed 4 years ago by hellik

Replying to hellik:

Replying to hellik:

Replying to jef:

Replying to hellik:

any suggested steps how to proceed?

See PackagingInstructions

following the packaging instructions I've prepared the setup.hint and the tar.gz2-file.

the folder and file structure is:

r-batchfiles-r149.tar
|
apps
    |
    rbatchfiles:
                R.bat
                ....
|
etc
    |
    ini:
                rbatchfiles.bat

anyone to check if the file/folder structure is correct?

thanks

no one interested in an OSGeo4W-R-integration?

it is nicely working in WinGRASS7-standalone based upon OSGeo4W and the attached files...

new year, new try: it would be nice to have this in osgeo4w.

I would be available to maintain this. any hint what to do?

comment:9 Changed 4 years ago by jef

Do you need the batchfiles in apps instead of bin? R_ARCH is also hardcoded to x64 in Rpathset.bat. Is that correct?

comment:10 in reply to:  9 Changed 4 years ago by hellik

Replying to jef:

Do you need the batchfiles in apps instead of bin? R_ARCH is also hardcoded to x64 in Rpathset.bat. Is that correct?

Rpathset.bat isn't needed. so no hardcoded paths. also the batchfiles can live in apps.

what I've done locally in osgeo4w 32bit and 64bit by using R path - Add R_TOOLS, R_MIKTEX & R_PATH to path for this cmd line session (options see above); eg.

my osgeo4w 64 bit lives in C:\OSGeo4W64, added the batch-files to C:\OSGeo4W64\apps\rbatch; and added in ini:

C:\OSGeo4W64\etc\ini\rosgeo.bat

IF EXIST "%ProgramFiles%\R\" %OSGEO4W_ROOT%\apps\rbatch\R path

open the osgeo4w shell:

[...]
GDAL 1.11.3, released 2015/09/16

C:\>echo %PATH%
{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\windows\system32;C:\w
indows;C:\windows\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.2.3\bin\
x64

C:\>R

R version 3.2.3 (2015-12-10) -- "Wooden Christmas-Tree"
Copyright (C) 2015 The R Foundation for Statistical Computing
Platform: x86_64-w64-mingw32/x64 (64-bit)

R ist freie Software und kommt OHNE JEGLICHE GARANTIE.
Sie sind eingeladen, es unter bestimmten Bedingungen weiter zu verbreiten.
Tippen Sie 'license()' or 'licence()' für Details dazu.

R ist ein Gemeinschaftsprojekt mit vielen Beitragenden.
Tippen Sie 'contributors()' für mehr Information und 'citation()',
um zu erfahren, wie R oder R packages in Publikationen zitiert werden können.

Tippen Sie 'demo()' für einige Demos, 'help()' für on-line Hilfe, oder
'help.start()' für eine HTML Browserschnittstelle zur Hilfe.
Tippen Sie 'q()', um R zu verlassen.

> q()
Workspace sichern? [y/n/c]: n

C:\>

using the option R path - Add R_TOOLS, R_MIKTEX & R_PATH to path for this cmd line session is more robust than

SET PATH=%PATH%;%OSGEO4W_ROOT%\apps\rbatchfiles

as mentioned above.

I'll provide a new package accordingly.

Changed 4 years ago by hellik

Attachment: r-batchfiles-r149.tar.2.bz2 added

comment:11 Changed 4 years ago by jef

I'd prefer if the callable batchfiles (r.bat?) would live in bin to avoid the extra ini batch file. Would that be a problem?

Also the package naming is package-upstreamversion-packageversion.tar.bz2 (eg. r-batchfiles-r149-2.tar.bz2).

Otherwise it looks ok AFAICT - feel free to upload.

comment:12 Changed 4 years ago by jef

I meant to the repository - but the latest package is broken as all files are prefixed with r-batchfiles-r149-2.

And the ini batch is still there - does that mean it is a problem to avoid it?

Last edited 4 years ago by jef (previous) (diff)

comment:13 in reply to:  11 ; Changed 4 years ago by hellik

Replying to jef:

I'd prefer if the callable batchfiles (r.bat?) would live in bin to avoid the extra ini batch file. Would that be a problem?

never tried it this way. wouldn't we loose the possibility to update?

Also the package naming is package-upstreamversion-packageversion.tar.bz2 (eg. r-batchfiles-r149-2.tar.bz2).

changed, hopefully now the right way ... :-)

Otherwise it looks ok AFAICT - feel free to upload.

never done this for myself.

comment:14 in reply to:  12 Changed 4 years ago by hellik

Replying to jef:

I meant to the repository - but the latest package is broken as all files are prefixed with r-batchfiles-r149-2.

hopefully fixed now.

And the ini batch is still there - does that mean it is a problem to avoid it?

see also comment before. how would it be possible to update if it lives in e.g. C:\OSGeo4W64\bin ?

Changed 4 years ago by hellik

Attachment: r-batchfiles-r149-2.tar.bz2 added

r-batchfiles-r149-2.tar.bz2

comment:15 in reply to:  13 Changed 4 years ago by hellik

Replying to hellik:

Replying to jef:

I'd prefer if the callable batchfiles (r.bat?) would live in bin to avoid the extra ini batch file. Would that be a problem?

never tried it this way. wouldn't we loose the possibility to update?

Also the package naming is package-upstreamversion-packageversion.tar.bz2 (eg. r-batchfiles-r149-2.tar.bz2).

changed, hopefully now the right way ... :-)

package now created by tar & bzip2 from osgeo4w's msys (see PackagingInstructions. all other packages produced by 7zip.

comment:16 in reply to:  12 ; Changed 4 years ago by hellik

Replying to jef:

I meant to the repository - but the latest package is broken as all files are prefixed with r-batchfiles-r149-2.

And the ini batch is still there - does that mean it is a problem to avoid it?

what is the problem to have it another ini-file?

comment:17 in reply to:  16 ; Changed 4 years ago by jef

Replying to hellik:

what is the problem to have it another ini-file?

Another directory in PATH for no obvious reason?

comment:18 in reply to:  17 ; Changed 4 years ago by hellik

Replying to jef:

Replying to hellik:

what is the problem to have it another ini-file?

Another directory in PATH for no obvious reason?

IF EXIST "%ProgramFiles%\R\" %OSGEO4W_ROOT%\apps\rbatch\R path

it would be only set if R is installed (and the user activated the R package in osgeo4w); otherwise not.

I've tested very quickly to copy R.bat to C:\OSGeo4W64\bin, it seems to work.

comment:19 in reply to:  17 Changed 4 years ago by hellik

Replying to jef:

Replying to hellik:

what is the problem to have it another ini-file?

Another directory in PATH for no obvious reason?

but no strong opinion here from my side for one (copy R.bat to bin) or the other way (create a package).

comment:20 in reply to:  18 ; Changed 4 years ago by jef

Replying to hellik:

IF EXIST "%ProgramFiles%\R\" %OSGEO4W_ROOT%\apps\rbatch\R path

I meant the path added by the ini batch file. It always adds apps\rbatchfiles to the path - so everything has to search another path - not only if R being used (or installed).

comment:21 in reply to:  20 ; Changed 4 years ago by hellik

Replying to jef:

Replying to hellik:

IF EXIST "%ProgramFiles%\R\" %OSGEO4W_ROOT%\apps\rbatch\R path

I meant the path added by the ini batch file. It always adds apps\rbatchfiles to the path - so everything has to search another path - not only if R being used (or installed).

don't understand this. where is apps\rbatchfiles added to the path?

in the OSGeo4W shell:

C:\>echo %PATH%
{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\windows\system32;C:\w
indows;C:\windows\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.2.3\bin\
x64

only the R installation path is added to %PATH%, nothing else.

if it's too much, let's go the way to copy R.bat to bin

comment:22 in reply to:  21 ; Changed 4 years ago by jef

Replying to hellik:

I meant the path added by the ini batch file. It always adds apps\rbatchfiles to the path - so everything has to search another path - not only if R being used (or installed).

don't understand this. where is apps\rbatchfiles added to the path?

$ tar xOjf r-batchfiles-r149.tar.bz2 etc/ini/rbatchfiles.bat
SET PATH=%PATH%;%OSGEO4W_ROOT%\apps\rbatchfiles

comment:23 in reply to:  22 ; Changed 4 years ago by hellik

Replying to jef:

Replying to hellik:

I meant the path added by the ini batch file. It always adds apps\rbatchfiles to the path - so everything has to search another path - not only if R being used (or installed).

don't understand this. where is apps\rbatchfiles added to the path?

$ tar xOjf r-batchfiles-r149.tar.bz2 etc/ini/rbatchfiles.bat
SET PATH=%PATH%;%OSGEO4W_ROOT%\apps\rbatchfiles

but I've changed that in r-batchfiles-r149-2.tar.bz2 to

C:\r-batchfiles\etc\ini\rbatchfiles.bat
IF EXIST "%ProgramFiles%\R\" %OSGEO4W_ROOT%\apps\rbatchfiles\R path

in order to avoid this.

comment:24 in reply to:  23 ; Changed 4 years ago by hellik

Replying to hellik:

Replying to jef:

Replying to hellik:

I meant the path added by the ini batch file. It always adds apps\rbatchfiles to the path - so everything has to search another path - not only if R being used (or installed).

don't understand this. where is apps\rbatchfiles added to the path?

$ tar xOjf r-batchfiles-r149.tar.bz2 etc/ini/rbatchfiles.bat
SET PATH=%PATH%;%OSGEO4W_ROOT%\apps\rbatchfiles

but I've changed that in r-batchfiles-r149-2.tar.bz2 to

C:\r-batchfiles\etc\ini\rbatchfiles.bat
IF EXIST "%ProgramFiles%\R\" %OSGEO4W_ROOT%\apps\rbatchfiles\R path

in order to avoid this.

as the rgrass7 package (R-GRASS interaction) will upcome with a new version including improvements for winGRASS-R coupling (see (1)), it would be nice to have this in.

r-batchfiles-r149-2.tar.bz2 doesn't poison unnecessarily %PATH%, it only adds R-installation path to %PATH% if R is installed.

what next to do? I have no access to OSGeo4W repository.

(1) rgrass7 discussion

comment:25 in reply to:  24 ; Changed 4 years ago by jef

Replying to hellik:

what next to do? I have no access to OSGeo4W repository.

Upload. You have access.

comment:26 in reply to:  25 ; Changed 4 years ago by hellik

Replying to jef:

Replying to hellik:

what next to do? I have no access to OSGeo4W repository.

Upload. You have access.

PackageDirectoryLayout says:

 Packages prepared for OSGeo4W are currently uploaded to (requires shell access to ​OSGeo download server):

    upload.osgeo.org:/osgeo/download/osgeo4w/release/<arch>/<package>

and Download_Server says:

FTP Service

There is FTP service configured on the download.osgeo.org blade. The FTP access is served by vsftpd - secure and fastest FTP server for UNIX-like systems.

The vsftpd daemon configuration is the default one provided with Debian and is suitable for anonymous ftp only.

    root directory: /osgeo/download
    no access for local users
    no write, mkdir or upload privileges
Management
It is intended that each interested project should have a directory under /osgeo/download with appropriate permissions so a project member can manage the subdirectories and files. Scp, or sftp can be used to bring files onto the server. Someone from each project will need their LDAP OSGeo Userid shell enabled, for ssh/scp access.

how to get shell access to ​OSGeo download server? is ny osgeoid already activated?

comment:27 in reply to:  26 ; Changed 4 years ago by jef

Replying to hellik:

how to get shell access to ​OSGeo download server? is ny osgeoid already activated?

Yes. That was "You have access" was supposed to mean. I use scp (or rsync) from cygwin to upload stuff via ssh.

Last edited 4 years ago by jef (previous) (diff)

comment:28 in reply to:  27 Changed 4 years ago by hellik

Replying to jef:

Replying to hellik:

how to get shell access to ​OSGeo download server? is ny osgeoid already activated?

Yes. That was "You have access" was supposed to mean. I use scp (or rsync) from cygwin to upload stuff via ssh.

ah ok, thanks. I'll have a look in the next days.

comment:29 in reply to:  27 ; Changed 3 years ago by hellik

Replying to jef:

Replying to hellik:

how to get shell access to ​OSGeo download server? is ny osgeoid already activated?

Yes. That was "You have access" was supposed to mean. I use scp (or rsync) from cygwin to upload stuff via ssh.

after some more time of local testing, I've uploaded it now; it can bee seen at

http://download.osgeo.org/osgeo4w/x86/release/rbatch/
http://download.osgeo.org/osgeo4w/x86_64/release/rbatch/

as mentioned in the wiki:

    Generate test versions of setup.ini: http://upload.osgeo.org/cgi-bin/osgeo4w-regen.sh
    Verify package version numbers (see top of PackageListing)
    Test by invoking setup-test.bat in the OSGeo4W shell
    Promote test setup to live: http://upload.osgeo.org/cgi-bin/osgeo4w-promote.sh 

I couldn't find upload.osgeo.org/cgi-bin/osgeo4w-regen.sh to test if structure and versioning is ok; there is only regen.sh and promote_test.sh on the osgeo4w folder on the server.

any hints?

comment:30 in reply to:  29 ; Changed 3 years ago by jef

Replying to hellik:

any hints?

Access the url using a browser.

comment:31 in reply to:  30 ; Changed 3 years ago by hellik

Replying to jef:

Replying to hellik:

any hints?

Access the url using a browser.

ok thanks, done.

comment:32 in reply to:  31 ; Changed 3 years ago by hellik

Replying to hellik:

Replying to jef:

Replying to hellik:

any hints?

Access the url using a browser.

ok thanks, done.

the output of osgeo4w-promote.sh

--- setup.ini.prev	2016-12-12 10:12:31.000000000 -0800
+++ setup.ini	2016-12-12 10:12:31.000000000 -0800
@@ -3,7 +3,7 @@
 # See http://cygwin.com/setup.html for details.
 #
 arch: x86
-setup-timestamp: 1481530023
+setup-timestamp: 1481566157
 
 @ agg-devel
 sdesc: "AGG rendering library (development)"
@@ -2875,6 +2875,12 @@
 install: x86/release/qt/qt4/qwt-libs-qt4/qwt-libs-qt4-6.0.2-1.tar.bz2 306829 2a8cbc63a581882b5db9010d1bbecd7e
 source: x86/release/qt/qt4/qwt-libs-qt4/qwt-libs-qt4-6.0.2-1-src.tar.bz2 2197 4eae9be815016415611fd0b176443352
 
+@ rbatch
+sdesc: "Windows batchfiles for use with R"
+ldesc: "Windows batchfiles for use with R"
+category: Libs Commandline_Utilities
+version: r149
+
 @ regex-devel
 sdesc: "Regex libaray (source/header) (development)"
 ldesc: "Regex libaray (source/header) (development)"
--- setup.ini.prev	2016-12-12 10:12:31.000000000 -0800
+++ setup.ini	2016-12-12 10:12:31.000000000 -0800
@@ -3,7 +3,7 @@
 # See http://cygwin.com/setup.html for details.
 #
 arch: x86_64
-setup-timestamp: 1481530024
+setup-timestamp: 1481566159
 
 @ alkis-import
 sdesc: "norGIS ALKIS Import"
@@ -2141,6 +2141,12 @@
 install: x86_64/release/qwt5/qwt5-libs-qt4/qwt5-libs-qt4-5.2.3-1.tar.bz2 261328 4a732090f019931026aa4fe478670ebd
 source: x86_64/release/qwt5/qwt5-libs-qt4/qwt5-libs-qt4-5.2.3-1-src.tar.bz2 3211 5259de566c37bf132c7a60783af575cf
 
+@ rbatch
+sdesc: "Windows batchfiles for use with R"
+ldesc: "Windows batchfiles for use with R"
+category: Libs Commandline_Utilities
+version: r149
+
 @ regex-devel
 sdesc: "XDR library (Development)"
 ldesc: "XDR library (Development)"

it seems now to be in setup.ini; anything else to do that it is promoted to be downloadable.

comment:33 in reply to:  32 ; Changed 3 years ago by hellik

Replying to hellik:

it seems now to be in setup.ini; anything else to do that it is promoted to be downloadable.

http://download.osgeo.org/osgeo4w/x86_64/setup.ini

@ qwt5-libs-qt4
sdesc: "Qt4 widgets library for technical applications (runtime)"
ldesc: "Qt4 widgets library for technical applications (runtime)"
category: Libs
requires: shell qt4-libs
version: 5.2.3-1
install: x86_64/release/qwt5/qwt5-libs-qt4/qwt5-libs-qt4-5.2.3-1.tar.bz2 261328 4a732090f019931026aa4fe478670ebd
source: x86_64/release/qwt5/qwt5-libs-qt4/qwt5-libs-qt4-5.2.3-1-src.tar.bz2 3211 5259de566c37bf132c7a60783af575cf

@ rbatch
sdesc: "Windows batchfiles for use with R"
ldesc: "Windows batchfiles for use with R"
category: Libs Commandline_Utilities
version: r149

@ regex-devel
sdesc: "XDR library (Development)"
ldesc: "XDR library (Development)"
category: Libs
version: 0.12-1
install: x86_64/release/regex-devel/regex-devel-0.12-1.tar.bz2 31233 25b7c2a51f7f7d652d27317b696f2bc7
source: x86_64/release/regex-devel/regex-devel-0.12-1-src.tar.bz2 979 f8f76c19667fb4303ed87c382eb76fa0

the entry in setup.ini is now there; but in comparison to the other packages the line

e.g.

install: x86_64/release/rbatch/r-batchfiles-r149-2.tar.bz2 XYZ

is missing.

anything else to do?

comment:34 in reply to:  33 ; Changed 3 years ago by hellik

Replying to hellik:

Replying to hellik:

it seems now to be in setup.ini; anything else to do that it is promoted to be downloadable.

http://download.osgeo.org/osgeo4w/x86_64/setup.ini

@ qwt5-libs-qt4
sdesc: "Qt4 widgets library for technical applications (runtime)"
ldesc: "Qt4 widgets library for technical applications (runtime)"
category: Libs
requires: shell qt4-libs
version: 5.2.3-1
install: x86_64/release/qwt5/qwt5-libs-qt4/qwt5-libs-qt4-5.2.3-1.tar.bz2 261328 4a732090f019931026aa4fe478670ebd
source: x86_64/release/qwt5/qwt5-libs-qt4/qwt5-libs-qt4-5.2.3-1-src.tar.bz2 3211 5259de566c37bf132c7a60783af575cf

@ rbatch
sdesc: "Windows batchfiles for use with R"
ldesc: "Windows batchfiles for use with R"
category: Libs Commandline_Utilities
version: r149

@ regex-devel
sdesc: "XDR library (Development)"
ldesc: "XDR library (Development)"
category: Libs
version: 0.12-1
install: x86_64/release/regex-devel/regex-devel-0.12-1.tar.bz2 31233 25b7c2a51f7f7d652d27317b696f2bc7
source: x86_64/release/regex-devel/regex-devel-0.12-1-src.tar.bz2 979 f8f76c19667fb4303ed87c382eb76fa0

the entry in setup.ini is now there; but in comparison to the other packages the line

e.g.

install: x86_64/release/rbatch/r-batchfiles-r149-2.tar.bz2 XYZ

is missing.

anything else to do?

just rerun osgeo4w-regen.sh

error: x86/release/rbatch/setup.hint:5: can't open x86/release/rbatch/rbatch-r149.tar.bz2 - No such file or directory
warning: package rbatch is missing a requires field
error: x86_64/release/rbatch/setup.hint:5: can't open x86_64/release/rbatch/rbatch-r149.tar.bz2 - No such file or directory
warning: package rbatch is missing a requires field

it's looking for the wrong tar.bz2, as it is r-batchfiles-r149-2.tar.bz2 and not rbatch-r149.tar.bz2.

any hints?

comment:35 in reply to:  34 ; Changed 3 years ago by hellik

Replying to hellik:

error: x86/release/rbatch/setup.hint:5: can't open x86/release/rbatch/rbatch-r149.tar.bz2 - No such file or directory
warning: package rbatch is missing a requires field
error: x86_64/release/rbatch/setup.hint:5: can't open x86_64/release/rbatch/rbatch-r149.tar.bz2 - No such file or directory
warning: package rbatch is missing a requires field

it's looking for the wrong tar.bz2, as it is r-batchfiles-r149-2.tar.bz2 and not rbatch-r149.tar.bz2.

any hints?

ok, error and warning solved.

tested to download, it installs in:

C:\OSGeo4W64\r-batchfiles

instead of

C:\OSGeo4W64\apps\r-batchfiles

any ideas?

comment:36 in reply to:  35 Changed 3 years ago by hellik

Replying to hellik:

C:\OSGeo4W64\r-batchfiles

instead of

C:\OSGeo4W64\apps\r-batchfiles

any ideas?

finally I've got it (hopefully) right now. :-)

Note: See TracTickets for help on using tickets.